{% load static wagtailcore_tags wagtailimages_tags wagtailmetadata_tags %}
<!doctype html>
<html lang="cs">
<head>
  {% if request.in_preview_panel %}
    <base target="_blank">
  {% endif %}

  <link href="https://gfonts.pirati.cz/css2?family=Bebas+Neue&family=Roboto+Condensed:wght@300;400;700&family=Roboto:wght@300;400;500&display=swap" rel="stylesheet">

  <!-- Meta -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  {% meta_tags %}
  {% if settings.MAJAK_ENV == "test" or disable_robots %}
    <meta name="robots" content="noindex, nofollow">
  {% endif %}

  <!-- Favicon -->
  {% include "shared/favicon_snippet.html" %}

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="{% static "shared/vendor/bootstrap-4.4.1/css/bootstrap.min.css" %}">
  <link rel="stylesheet" href="{% static "shared/vendor/fancybox/jquery.fancybox.min.css" %}">

  <!-- Styles -->
  <link href="{% static "donate/assets/css/style.css" %}" rel="stylesheet">
  <link href="{% static "donate/assets/css/icons.css" %}" rel="stylesheet">

  {% block extra_head %}{% endblock %}

  {% if page.root_page.matomo_id %}
    {% include "shared/matomo_snippet.html" with matomo_id=page.root_page.matomo_id %}
  {% endif %}
</head>

<body id="top">

  {% if settings.MAJAK_ENV == "test" %}
    <div class="pre-navbar d-none d-lg-flex" style="background: #884444; color: #FFFFFF;">
      <div class="container d-flex justify-content-center">
        <span>TESTOVACÍ WEB! Darujte na <a href="https://dary.pirati.cz/" class="header_link header_link--desktop mr-4 py-2">dary.pirati.cz</a></span>
      </div>
    </div>
  {% endif %}

  <!-- HEADER -->
  {% block header %}
  <div class="pre-navbar d-none d-lg-flex" style="background:black;">
    <div class="container d-flex justify-content-end">
      {% for custom_link in page.root_page.custom_links %}
        <a
          href="{{ custom_link.value.url }}"
          class="header_link header_link--desktop mr-4 py-2"
          target="_blank"
          rel="noreferrer"
        >
          <i class="icon-external-link mr-2" title="Ikona odkazu"></i>
          {{ custom_link.value.text }}
        </a>
      {% endfor %}
    </div>
  </div>

  <nav class="navbar navbar-expand-xl navbar-dark">
    <div class="container">

      <!-- Candidate name -->
      <div class="brand-wrapper">
      <a class="navbar-brand" href="/">
        <img
          src="{% static "styleguide2/images/logo-full-white.svg"%}"
          alt="Logo"
        >
      </a>
      </div>

      <!-- Mobile menu toggler -->
      <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#mainNavigation" aria-controls="mainNavigation" aria-expanded="false" aria-label="Otevřít menu">
        <span></span>
        <span></span>
        <span></span>
      </button>

      <!-- Navigation -->
      <div class="collapse navbar-collapse" id="mainNavigation">
        <ul class="navbar-nav ml-auto">
          {% for block in page.root_page.menu %}
            {% include_block block %}
          {% endfor %}
        </ul>

        {% for custom_link in page.root_page.custom_links %}
          <a
            href="{{ custom_link.value.url }}"
            class="d-block d-lg-none mb-3 header_link header_link--mobile"
            target="_blank"
            rel="noreferrer"
          >
            <i class="icon-external-link mr-2" title="Ikona odkazu"></i>
            {{ custom_link.value.text }}
          </a>
        {% endfor %}
      </div><!-- /navigation -->
    </div><!-- /container -->
  </nav>
  {% endblock %}
  <!-- /HEADER -->

  {% block content %}{% endblock %}

  <!-- FOOTER -->
  {% block footer %}
  <footer id="kontakt">

    <div class="footer__top">
      <div class="container">

        <div class="row">
          <div class="col-12 col-md-6 col-lg-3 mb-4 mb-md-5 mb-lg-4 order-0 order-lg-0">
            <div class="footer__logo">
              <img src="{% static "donate/img/logo_napis_white.svg" %}" alt="Logo podpoř piráty">
            </div>
            <ul class="footer__menu mt-5">
              {% if page.root_page.faq_page %}
                <li><a href={{ page.root_page.faq_page.url }}>FAQ - pravidla pro přijímání darů</a></li>
              {% endif %}
              <li><a href="/osobni-udaje/">Zásady zpracování osobních údajů</a></li>
              <li><a href="/obchodni-podminky/">Obchodní podmínky</a></li>
            </ul>
          </div><!-- /column -->

          <div class="col-12 col-md-6 col-lg-3 mb-4 order-2 order-lg-1">
            <h4 class="lead mb-3">Otevřenost</h4>
            <ul class="footer__menu">
              {% if page.root_page.transparency_footer_items %}
                {% for block in page.root_page.transparency_footer_items %}
                  <li>
                    <a
                      href="{{ block.value.url }}"
                      target="_blank"
                    >{{ block.value.text }}</a>
                  </li>
                {% endfor %}
              {% endif %}
            </ul>
          </div><!-- /column -->

          <div class="col-12 col-md-6 col-lg-3 order-3 order-lg-2">
            <h4 class="lead mb-3">Kontakt</h4>
            <h6 class="mb-0">Napiš nám</h6>
            <p class="mb-3"><a href="mailto:fundraising@pirati.cz">fundraising@pirati.cz</a></p>
            <h6 class="mb-0">Zavolej nám</h6>
            <p class="mb-0"><a href="tel: +420770189488">+420 770 189 488</a></p>
          </div><!-- /column -->

          <div class="col-12 col-md-6 col-lg-3 mb-4 mb-md-5 mb-lg-4 order-1 order-lg-3">
            <h4 class="lead mb-3 d-none d-lg-block">Sociální sítě</h4>
            <div class="socials">
              {% if page.root_page.facebook %}
              <a href="{{ page.root_page.facebook }}" target="_blank"  rel="noreferrer"><i class="icon-facebook-f" title="Facebooková stránka"></i></a>
              {% endif %}
              {% if page.root_page.twitter %}
              <a href="{{ page.root_page.twitter }}" target="_blank" rel="noreferrer"><i class="icon-twitter" title="Profil na Twitteru"></i></a>
              {% endif %}
              {% if page.root_page.instagram %}
              <a href="{{ page.root_page.instagram }}" target="_blank" rel="noreferrer"><i class="icon-instagram" title="Profil na Instagramu"></i></a>
              {% endif %}
              {% if page.root_page.flickr %}
              <a href="{{ page.root_page.flickr }}" target="_blank" rel="noreferrer"><i class="icon-flickr" title="Profil na Flickr"></i></a>
              {% endif %}
            </div>
            <div class="row">
              <a href="https://nalodeni.pirati.cz" class="btn btn-success ml-2 my-3">Nalodit se <i class="icon-chevron-right ml-2"></i></a>
            </div>
          </div><!-- /column -->
        </div> <!-- /row -->

      </div><!-- /container -->
    </div><!-- /footer_top -->

    <div class="footer__bottom">
      <div class="container">
        <div class="row">
          <div class="col-12 col-md-6 mb-3 mb-md-0">
            <p class="mb-0">
              <span style="display:inline-block;transform:scale(-1, 1)">&copy;</span>
              {% now "Y" %} Piráti. <a href="https://wiki.pirati.cz/rules/prah#licence" target="_blank" class="underline">CC-BY-SA 4.0</a>.
              <br>
              Všechna práva vyhlazena. Sdílejte a nechte ostatní sdílet za stejných podmínek.
              <br>
              Zadavatel | zpracovatel: Česká pirátská strana
            </p>
          </div><!-- /column -->
          <div class="col-12 col-md-6 text-md-right">
            <p class="mb-0">Tento web využívá soubory cookies - <a href="/soubory-cookies/">více informací</a></p>
          </div><!-- /column -->
        </div><!-- /row -->
      </div><!-- /container -->
    </div><!-- /footer_bottom -->

  </footer>
  <!-- /FOOTER -->
  {% endblock %}

  <!-- JavaScript libraries -->
  <script src="{% static "shared/vendor/jquery/jquery-3.4.1.min.js" %}"></script>
  <script src="{% static "shared/vendor/bootstrap-4.4.1/js/bootstrap.min.js" %}"></script>
  <script src="{% static "shared/vendor/lazysizes/lazysizes.min.js" %}"></script>
  <script src="{% static "shared/vendor/fancybox/jquery.fancybox.min.js" %}"></script>
  <script src="{% static "donate/assets/js/scripts.js" %}"></script>

</body>
</html>
